<app-layout>
    <div class="row my-4 justify-content-center align-self-center">
      <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Personal Information</mat-card-title>
          </mat-card-header>
          <mat-card-content *ngIf="showForm">
            <form class="example-form mt-2" [formGroup]="form">
              <div class="row mat-typography p-4">
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>First Name</mat-label>
                    <input matInput placeholder="First Name" formControlName="firstName" type="text" name="firstName" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Last Name</mat-label>
                    <input matInput placeholder="Last Name" formControlName="lastName" type="text" name="lastName" required>
                    <mat-error>Enter valid input</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Phone</mat-label>
                    <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                    <mat-icon matSuffix>phone</mat-icon>
                    <mat-error>Enter valid phone</mat-error>
                  </mat-form-field>
                </div>
                <div class="col-6">
                  <p class="label mb-0"><small>Email</small></p>
                  <p class="value">{{user.username ? user.username : 'Not Provided'}}</p>
                </div>
                <div class="col-6">
                  <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Country</mat-label>
                    <mat-select formControlName="country" name="country">
                      <mat-option *ngFor="let _country of countries" [value]="_country">
                        {{_country}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
               
              </div>
            </form>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
            <mat-progress-spinner *ngIf="savingProfile"
              class="ml-5"
              [color]="'primary'"
              [diameter]="50"
              [mode]="'indeterminate'">
            </mat-progress-spinner>
            <button mat-flat-button color="primary" *ngIf="!savingProfile" class="btn-black" (click)="saveProfile()">Save Profile</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
        <mat-card style="height: 100%;">
          <mat-card-header>
            <mat-card-title>Change Password</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <div class="row mat-typography p-4">
              <form [formGroup]="resetForm">
               
                    <div class="col-md-12 my-2">
                        <mat-form-field class="example-full-width">
                            <input matInput formControlName="oldpassword" maxlength="20" type="password" placeholder="Old Password">
                            <mat-hint align="end">{{resetForm.get('oldpassword').value?.length || 0}}/20</mat-hint>
                            <mat-error *ngIf="resetForm.get('oldpassword').hasError('required')">This field is required.</mat-error>
                            <mat-error *ngIf="resetForm.get('oldpassword').hasError('minlength')">6 characters required.</mat-error>
                            <mat-error *ngIf="resetForm.get('oldpassword').hasError('maxlength')">Not more than 20 characters.</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-md-12 my-2">
                        <mat-form-field class="example-full-width">
                          <input matInput formControlName="password" maxlength="20" type="password" placeholder="New Password">
                          <mat-hint align="end">{{resetForm.get('password').value?.length || 0}}/20</mat-hint>
                          <mat-error *ngIf="resetForm.get('password').hasError('required')">This field is required.</mat-error>
                          <mat-error *ngIf="resetForm.get('password').hasError('minlength')">6 characters required.</mat-error>
                          <mat-error *ngIf="resetForm.get('password').hasError('maxlength')">Not more than 20 characters.</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-md-12 my-2">
                        <mat-form-field class="example-full-width">
                          <input matInput formControlName="repassword" maxlength="20" type="password" placeholder="Confirm Password">
                          <mat-hint align="end">{{resetForm.get('repassword').value?.length || 0}}/20</mat-hint>
                          <mat-error *ngIf="resetForm.get('repassword').hasError('required')">This field is required.</mat-error>
                          <mat-error *ngIf="resetForm.get('repassword').hasError('minlength')">6 characters required.</mat-error>
                          <mat-error *ngIf="resetForm.get('repassword').hasError('maxlength')">Not more than 20 characters.</mat-error>
                          <mat-error *ngIf="resetForm.get('repassword').value != resetForm.get('password').value">Passwords don't match.</mat-error>
                        </mat-form-field>
                    </div>
                
            </form>
            
            
              
              
            </div>
          </mat-card-content>
          <mat-card-actions align="right" class="p-2">
          
            <button mat-flat-button (click)="resetPassword()" [disabled]="resetForm.status == 'INVALID'"  color="primary" class="btn-black">Save Changes</button>
          </mat-card-actions>
        </mat-card>
      </div>
     
    </div>
</app-layout>